<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__rtc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_rtc_config_t</compoundname>
    <includes local="no">cy_rtc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__rtc__config__t_1a3d05e0c15bc4aabbec36053f38553b60" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::sec</definition>
        <argsstring />
        <name>sec</name>
        <briefdescription>
<para>Seconds value, range [0-59]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="436" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="436" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1a0a76063e91a91190888cce1411c4d2aa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::min</definition>
        <argsstring />
        <name>min</name>
        <briefdescription>
<para>Minutes value, range [0-59]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="437" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="437" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1a4d89f28ada5f715b64814fdac2445775" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::hour</definition>
        <argsstring />
        <name>hour</name>
        <briefdescription>
<para>Hour, range depends on hrFormat, if hrFormat = CY_RTC_24_HOURS, range [0-23]; If hrFormat = CY_RTC_12_HOURS, range [1-12] and appropriate AM/PM day period should be set (amPm) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="438" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="438" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1a965e01ebe42f81bae6e113ded4606d59" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__rtc__enums_1ga9407090183e711814a46eb100b82d14b">cy_en_rtc_am_pm_t</ref></type>
        <definition>cy_en_rtc_am_pm_t cy_stc_rtc_config_t::amPm</definition>
        <argsstring />
        <name>amPm</name>
        <briefdescription>
<para>AM/PM hour period, see <ref kindref="member" refid="group__group__rtc__enums_1ga9407090183e711814a46eb100b82d14b">cy_en_rtc_am_pm_t</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>This element is actual when hrFormat = CY_RTC_12_HOURS. The firmware ignores this element if hrFormat = CY_RTC_24_HOURS </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="441" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="441" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1ab5a74c95ffad20e22cc8c6a46daf6246" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__rtc__enums_1ga40c0bfe67e6abf9f8807c8653de6a11b">cy_en_rtc_hours_format_t</ref></type>
        <definition>cy_en_rtc_hours_format_t cy_stc_rtc_config_t::hrFormat</definition>
        <argsstring />
        <name>hrFormat</name>
        <briefdescription>
<para>Hours format, see <ref kindref="member" refid="group__group__rtc__enums_1ga40c0bfe67e6abf9f8807c8653de6a11b">cy_en_rtc_hours_format_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="444" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="444" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1a151b3bf4457a2d62cfcbe9b8eb5fee82" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::dayOfWeek</definition>
        <argsstring />
        <name>dayOfWeek</name>
        <briefdescription>
<para>Day of the week, range [1-7], see <ref kindref="compound" refid="group__group__rtc__day__of__the__week">Day of the week definitions</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="445" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="445" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1ace1f0539ed5d8776f86e9af07effc8fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::date</definition>
        <argsstring />
        <name>date</name>
        <briefdescription>
<para>Date of month, range [1-31]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="448" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="448" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1a6b72054e299d1ac836c43656ba03f0d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::month</definition>
        <argsstring />
        <name>month</name>
        <briefdescription>
<para>Month, range [1-12]. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__rtc__month">Month definitions</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="449" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="449" />
      </memberdef>
      <memberdef id="structcy__stc__rtc__config__t_1ac459a5fc9e76dcb24978ef21579fc6d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_rtc_config_t::year</definition>
        <argsstring />
        <name>year</name>
        <briefdescription>
<para>Year, range [0-99]. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="450" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="450" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This is the data structure that is used to configure the rtc time and date values. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="451" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="434" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a965e01ebe42f81bae6e113ded4606d59" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>amPm</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1ace1f0539ed5d8776f86e9af07effc8fc" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>date</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a151b3bf4457a2d62cfcbe9b8eb5fee82" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>dayOfWeek</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a4d89f28ada5f715b64814fdac2445775" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>hour</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1ab5a74c95ffad20e22cc8c6a46daf6246" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>hrFormat</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a0a76063e91a91190888cce1411c4d2aa" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>min</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a6b72054e299d1ac836c43656ba03f0d9" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>month</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1a3d05e0c15bc4aabbec36053f38553b60" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>sec</name></member>
      <member prot="public" refid="structcy__stc__rtc__config__t_1ac459a5fc9e76dcb24978ef21579fc6d5" virt="non-virtual"><scope>cy_stc_rtc_config_t</scope><name>year</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>